From 77e3edc6df2ee8f7f2b6998bf3dee504b2475751 Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Mon, 10 Jun 2019 21:31:00 +0200
Subject: [PATCH 01/10] Carla: set archs properly

---
 srcpkgs/Carla/template | 1 +
 1 file changed, 1 insertion(+)

diff --git a/srcpkgs/Carla/template b/srcpkgs/Carla/template
index c2878250070..d4d36a4923d 100644
--- a/srcpkgs/Carla/template
+++ b/srcpkgs/Carla/template
@@ -2,6 +2,7 @@
 pkgname=Carla
 version=2.0.0
 revision=2
+archs="x86_64* i686* aarch64* arm*"
 build_style=gnu-makefile
 make_build_args="DEFAULT_QT=5"
 make_install_args="DEFAULT_QT=5"

From b46b781c617598adefe1b6f937bf69ea00d47a04 Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Mon, 10 Jun 2019 21:32:32 +0200
Subject: [PATCH 02/10] android-tools: set archs properly

---
 srcpkgs/android-tools/template | 1 +
 1 file changed, 1 insertion(+)

diff --git a/srcpkgs/android-tools/template b/srcpkgs/android-tools/template
index 46f5dcb372d..7252364919d 100644
--- a/srcpkgs/android-tools/template
+++ b/srcpkgs/android-tools/template
@@ -5,6 +5,7 @@ pkgname=android-tools
 #         curl -L http://git.io/vvC0Z | sh -s 5.0.2_r1 5.1.0_r1
 version=9.0.0r35
 revision=1
+archs="x86_64* i686*"
 _distver=${version/r/_r}
 create_wrksrc=yes
 hostmakedepends="ruby cmake ninja perl go"

From 680705aa69fa059f9f646b410748feb0037621e6 Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Mon, 10 Jun 2019 21:46:54 +0200
Subject: [PATCH 03/10] vboot-utils: set archs properly

---
 srcpkgs/vboot-utils/template | 1 +
 1 file changed, 1 insertion(+)

diff --git a/srcpkgs/vboot-utils/template b/srcpkgs/vboot-utils/template
index 338652a4007..0c8a3d9fc90 100644
--- a/srcpkgs/vboot-utils/template
+++ b/srcpkgs/vboot-utils/template
@@ -2,6 +2,7 @@
 pkgname=vboot-utils
 version=45.7262
 revision=12
+archs="x86_64* i686* aarch64* arm*"
 _githash=0e8c964915fffb58032bb59bdb31949de718ca90
 hostmakedepends="pkg-config git"
 makedepends="libressl-devel libuuid-devel liblzma-devel libyaml-devel"

From 799aec281cbc87701256f93adf82e08629a85780 Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Mon, 10 Jun 2019 21:46:32 +0200
Subject: [PATCH 04/10] uftrace: set archs properly

---
 srcpkgs/uftrace/template | 1 +
 1 file changed, 1 insertion(+)

diff --git a/srcpkgs/uftrace/template b/srcpkgs/uftrace/template
index f234a05a90e..e669722f08d 100644
--- a/srcpkgs/uftrace/template
+++ b/srcpkgs/uftrace/template
@@ -2,6 +2,7 @@
 pkgname=uftrace
 version=0.9.2
 revision=1
+archs="x86_64* i686* aarch64* arm*"
 build_style=gnu-configure
 hostmakedepends="pandoc pkg-config"
 makedepends="elfutils-devel ncurses-devel"

From 9a00ef15a768aa826be58a720b7867c5e9a454fb Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Mon, 10 Jun 2019 21:42:10 +0200
Subject: [PATCH 05/10] i8kutils: x86 only

---
 srcpkgs/i8kutils/template | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

diff --git a/srcpkgs/i8kutils/template b/srcpkgs/i8kutils/template
index c187d910a63..54f26d6212d 100644
--- a/srcpkgs/i8kutils/template
+++ b/srcpkgs/i8kutils/template
@@ -2,6 +2,7 @@
 pkgname=i8kutils
 version=1.43
 revision=2
+archs="x86_64* i686*"
 wrksrc="$pkgname"
 build_style=gnu-makefile
 short_desc="Fan control for certain Dell laptops"
@@ -12,11 +13,6 @@ distfiles="https://launchpad.net/i8kutils/trunk/${version}/+download/i8kutils_${
 checksum=881a211c64f79be6a08c88864deda45280f0ce925ed9e2af180db2d93d364dcb
 conf_files="/etc/i8kmon.conf"
 
-case "${XBPS_TARGET_MACHINE}" in
-	i686*|x86_64*) ;;
-	*) broken="this hardware is not available on other architectures" ;;
-esac
-
 do_install() {
 	vbin i8kfan
 	vbin i8kmon

From 92c69e0259debd8c9846512343cf5c5b19936d6f Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Mon, 10 Jun 2019 21:41:23 +0200
Subject: [PATCH 06/10] edb-debugger: x86 only

---
 srcpkgs/edb-debugger/template | 10 +---------
 1 file changed, 1 insertion(+), 9 deletions(-)

diff --git a/srcpkgs/edb-debugger/template b/srcpkgs/edb-debugger/template
index 135a8c230a5..0b6e87e903e 100644
--- a/srcpkgs/edb-debugger/template
+++ b/srcpkgs/edb-debugger/template
@@ -2,6 +2,7 @@
 pkgname=edb-debugger
 version=1.0.0
 revision=2
+archs="x86_64* i686*"
 build_style=cmake
 configure_args="-DCMAKE_INSTALL_PREFIX=/usr/ -DCMAKE_INSTALL_LIBDIR=/usr/lib/"
 hostmakedepends='pkg-config'
@@ -12,12 +13,3 @@ license="GPL-2.0-or-later"
 homepage="https://github.com/eteran/edb-debugger"
 distfiles="${homepage}/releases/download/${version}/${pkgname}-${version}.tgz"
 checksum=fab87541042df79ea63254e371d81b84d6b72f78141a6ab92512610ed2b7dfac
-
-case "${XBPS_TARGET_MACHINE}" in
-	arm*|aarch64*)
-		broken="${XBPS_TARGET_MACHINE} not supported yet"
-	;;
-	mips*|ppc64*)
-		broken="${XBPS_TARGET_MACHINE} unsuported target"
-	;;
-esac

From d147c5a46fe888bc3052a894cadb787f0589a335 Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Mon, 10 Jun 2019 21:37:51 +0200
Subject: [PATCH 07/10] crystal: only for x86/ARM

---
 srcpkgs/crystal/template | 1 +
 1 file changed, 1 insertion(+)

diff --git a/srcpkgs/crystal/template b/srcpkgs/crystal/template
index b0c1e00458c..bc774aced12 100644
--- a/srcpkgs/crystal/template
+++ b/srcpkgs/crystal/template
@@ -2,6 +2,7 @@
 pkgname=crystal
 version=0.29.0
 revision=1
+archs="x86_64* i686* aarch64* arm*"
 _shardsversion=0.8.1
 _bootstrapversion=0.29.0
 _bootstraprevision=1

From 41cede648c98a3267edbae29009748598450a182 Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Mon, 10 Jun 2019 21:36:47 +0200
Subject: [PATCH 08/10] clockspeed: only for x86, broken elsewhere

---
 srcpkgs/clockspeed/template | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/srcpkgs/clockspeed/template b/srcpkgs/clockspeed/template
index 26417d23a16..04477817415 100644
--- a/srcpkgs/clockspeed/template
+++ b/srcpkgs/clockspeed/template
@@ -2,6 +2,7 @@
 pkgname=clockspeed
 version=0.62
 revision=4
+archs="x86_64* i686*"
 build_style=gnu-makefile
 hostmakedepends="groff"
 depends="sv-helper"
@@ -13,8 +14,6 @@ homepage="http://cr.yp.to/clockspeed.html"
 distfiles="http://cr.yp.to/clockspeed/clockspeed-${version}.tar.gz"
 checksum=43539964c4b554794b2da760d138c5975cbc850f1c8ec2ee96f5dba66e0d9eed
 
-nocross="musl is fine, I did not recognize the errors cross compiling to arm"
-
 system_accounts="clocksd"
 clocksd_groups="nogroup"
 clocksd_homedir="/var/lib/${pkgname}"

From 752b737d20219fd63d80e4cb1c04b6e3b3791778 Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Mon, 10 Jun 2019 21:33:17 +0200
Subject: [PATCH 09/10] arduino: only for x86/ARM

[ci skip]
---
 srcpkgs/arduino/template | 1 +
 1 file changed, 1 insertion(+)

diff --git a/srcpkgs/arduino/template b/srcpkgs/arduino/template
index 04ce0d37b79..ed5954c9195 100644
--- a/srcpkgs/arduino/template
+++ b/srcpkgs/arduino/template
@@ -2,6 +2,7 @@
 pkgname=arduino
 version=1.8.9
 revision=1
+archs="x86_64* i686* aarch64* arm*"
 wrksrc=Arduino-$version
 hostmakedepends="apache-ant unzip ImageMagick openjdk"
 depends="virtual?java-runtime avr-binutils avr-gcc avr-libc avrdude"

From af26095a3f9c40292bd9caac2efb9a81c5926a4a Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Mon, 10 Jun 2019 21:36:23 +0200
Subject: [PATCH 10/10] clisp: broken on non-x86 (works in upstream but no
 releases)

[ci skip]
---
 srcpkgs/clisp/template | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/srcpkgs/clisp/template b/srcpkgs/clisp/template
index fed7156b718..d0576f7c986 100644
--- a/srcpkgs/clisp/template
+++ b/srcpkgs/clisp/template
@@ -2,6 +2,8 @@
 pkgname=clisp
 version=2.49
 revision=4
+# possibly works elsewhere but not in an ancient 2010 release
+archs="x86_64* i686*"
 build_style=configure
 configure_args="--prefix=/usr --disable-mmap --without-dynamic-modules
  $(vopt_with readline)"
